%global qt_module qtremoteobjects

Summary: Qt5 - Qt Remote Objects
Name:    qt5-%{qt_module}
Version: 5.9.0
Release: 0.beta.3%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://download.qt.io/development_releases/qt/5.9/%{version}-beta3/submodules/%{qt_module}-opensource-src-%{version}-beta3.tar.xz

BuildRequires: qt5-qtbase-devel >= %{version}

%description
Qt Remote Objects (QtRO) is an inter-process communication (IPC) module developed for Qt.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.

%prep
%setup -q -n %{qt_module}-opensource-src-%{version}-beta3

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. \
  %{?_qt5_examplesdir:CONFIG+=qt_example_installs}

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_qt5_libdir}/libQt5RemoteObjects.so.*
%{_qt5_bindir}/repc

%files devel
%{_qt5_headerdir}/QtRemoteObjects/
%{_qt5_headerdir}/QtRepParser/
%{_qt5_libdir}/libQt5RemoteObjects.so
%{_qt5_libdir}/libQt5RemoteObjects.prl
%dir %{_qt5_libdir}/cmake/Qt5RemoteObjects/
%{_qt5_libdir}/cmake/Qt5RepParser
%dir %{_qt5_libdir}/cmake/Qt5RepParser/
%{_qt5_libdir}/cmake/Qt5RemoteObjects
%{_qt5_libdir}/pkgconfig/Qt5RemoteObjects.pc
%{_qt5_prefix}/mkspecs/*
%exclude %{_qt5_libdir}/libQt5RemoteObjects.la

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif

%changelog
* Fri May 05 2017 Helio Chissini de Castro <helio@kde.org> - 5.9.0-0.beta.3
- Beta 3 upstream release.
